dbXML API

## com.dbxml.db.core
Class ClassResolver

    java.lang.Object
      com.dbxml.db.core.ClassResolver

public final class ClassResolver
extends java.lang.Object

ClassResolver is a utility class to replaces the use of Class.forName for dynamic class loading. It allows classes that are registered with it to be aliased. It also allows some classes to be early bound, so that dbXML can be compiled into a native executable without late binding issues.
Its purpose is to allow for dbXML to grow, and possibly even repackage without affecting existing database configuration settings.

Method Summary
`static java.lang.Class` `get(java.lang.String name)`
`static void` `register(java.lang.Class c)`
`static void` `register(java.lang.String name, java.lang.Class c)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static java.lang.Class get(java.lang.String name)
                               throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### register

    public static void register(java.lang.Class c)

### register

    public static void register(java.lang.String name,
                                java.lang.Class c)

dbXML API

Copyright (c) 2004 The dbXML Group